Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77612 - hotplug: spurious disconnect of usb after other updates
Summary: hotplug: spurious disconnect of usb after other updates
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-10 22:25 UTC by adrian.lawrence
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-02-04 20:49:41 UTC


Attachments (Terms of Use)
Extract from /var/log/messages showing suprious disconnect (deleted)
2002-11-10 22:32 UTC, adrian.lawrence
no flags Details

Description adrian.lawrence 2002-11-10 22:25:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
After applying latest updates including glibc-2.2.5-42, glibc-debug-2.2.5-42,
and friends, krb5-*--1.2.4 and nscd-2.2.5-42, hotplug
disconnects a usb device (scanner) incorrectly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Switch on a usb scanner
2.Inspect /var/log/messages to see the disconnect. xsane, for example cannot
connect to the scanner. Hardly surprising :-)
3.
	

Actual Results:  N/A

Expected Results:  n/a

Additional info:

Nov 10 16:09:14 conquest3 /sbin/hotplug: invoke /etc/hotplug/usb.agent ()
Nov 10 16:09:30 conquest3 kernel: usb.c: deregistering driver usbscanner
Nov 10 16:09:54 conquest3 kernel: usb.c: USB disconnect on device 1
The spurious disconnect:

Nov 10 16:09:54 conquest3 /sbin/hotplug: arguments (usb) env (PWD=/etc/hotplug
DEVICE=/proc/bus/usb/001/001 ACTION=remove DEBUG=kernel OLDPWD=/
DEVFS=/proc/bus/usb TYPE=9/0/0 SHLVL=1 HOME=/ PATH=/bin:/sbin:/usr/sbin:/usr/bin
PRODUCT=0/0/0 _=/usr/bin/env)
Nov 10 16:09:54 conquest3 /sbin/hotplug: invoke /etc/hotplug/usb.agent ()
Nov 10 16:09:54 conquest3 kernel: usb.c: USB bus 1 deregistered
w83781d-isa-0290

Workaround:
~~~~~~~~~~~

Disable hotplug with
  echo /bin/true > /proc/sys/kernel/hotplug
and load modules manually with modprobe.
The scanner and xsane then work normally.

I doubt that this bug is in hotplug itself. Sorry, I don't have time to
investigate further. I will attach a fuller log.

Comment 1 adrian.lawrence 2002-11-10 22:32:12 UTC
Created attachment 84464 [details]
Extract from /var/log/messages showing suprious disconnect

Comment 2 Bill Nottingham 2005-02-04 20:49:13 UTC
Closing out bugs on older, no longer supported, releases. Apologies
for any lack of response. Please reopen if problems persist on more
current releases.



Note You need to log in before you can comment on or make changes to this bug.